FROM mcr.microsoft.com/dotnet/core/aspnet:2.2 AS base
WORKDIR /app

FROM mcr.microsoft.com/dotnet/core/sdk:2.2-stretch AS build
WORKDIR /src
COPY ["Sirius/Sirius.csproj", "Sirius/"]
COPY ["Rpc/Rpc.csproj", "Rpc/"]
RUN dotnet restore "Sirius/Sirius.csproj"
COPY . .
WORKDIR "/src/Sirius"
RUN dotnet build "Sirius.csproj" -c Release -o /app

FROM build AS publish
RUN dotnet publish "Sirius.csproj" -c Release -o /app

FROM base AS final
WORKDIR /app
COPY --from=publish /app .
ENTRYPOINT ["dotnet", "Sirius.dll"]